How to build ICU so I can use it in an iPhone app?

How do I configure and build ICU so I can link it to my iPhone app? I'm maintaining an iPhone app that uses a SQLite database. Now I have to compile with ICU support enabled (SQLITE_ENABLE_ICU)....

php fatal error: class sqlite3 is not found in

Im using ubuntu 12.04, and php 5.x I need to use sqlite3 in it but Im getting an error of php fatal error: class sqlite3 not found I done all the installation processes, like $ sudo apt-get...

Sqlite4java on Raspberry Pi

I want to use my java project on Raspberry Pi. This code depends on sqlite4java which uses native implementations for many platforms including arm processors link. The problem is that java can't...

Docker Cannot link to a non running container

I need to create Rails and Mysql containers with docker-compose. When I try to create links between containers with docker-compose up, I get Cannot start container 9b271c58cf6aecaf017dadaf5b...

Symfony3 demo project don't work: PDO Exception Could not find driver (sqlite case)

Recently i've created Symfony3 project by command: symfony new myproject The project uses mysql and it works fine. After that i've created demo project to study symfony best practices: symfony...

Ruby Sqlite3 installation sqlite3_libversion_number() macOS Sierra

I'm trying to install the Metasploit framework (unimportant) and bundler is attempting to install sqlite3, which is where it fails consistently. Sqlite3 is installed (executing sqlite3 at the...

Python versions on Linux

Yesterday i reinstalled my Linux Mint duo similar issue I am facing right now. I installed Python 3.6 with: apt-get install build-essential checkinstall libreadline-gplv2-dev libncursesw5-dev...

Detected sqlite3 gem which is not supported on Heroku. But it is not on the Gemfile

In my Gemfile I commented the line gem 'sqlite3' and I ran bundler update and bundler install and git add . and git commit -m "...". But the error keeps popping up when I try git push heroku...

Docker not working on "localhost/subpage"

I am new to Docker. I set up my custom environment for Wordpress development, everything set up correctly. localhost is showing the expected and Wordpress can connect to the database. But the...

Ignore key error on apt-get update from ansible playbook

I have a playbook in ansible that install packages from a repository that has invalid keys: - name: Add Cloudera key apt_key: keyserver: keys.gnupg.net id:...

E: Malformed entry 1 in list file /etc/apt/sources.list.d/docker.list (URI parse), E:The list of sources could not be read

I am using Ubuntu 16.04 but I'm not a computing professinal at all and I'm trying to resolve an issue I have since several months know. It is know becoming a real problem for me as I'd like to...

Docker + Xdebug + VSCode Could not connect to client

PHP version: 7.1.20 XDebug version: 2.7.0 I'm using a Docker container on MacOS Mojave. On pressing "F5", it shows debug options Pause, Restart, and Stop. But Step Over, Step Into, Step Out are...

How to fix "sqlite3.h is missing"?

I am trying to do some project in ruby and make like this git commit -am "Add hello" heroku create git push heroku master then I got this error remote: checking for sqlite3.h... no remote: ...

How do I create Docker container with asterisk 16

I want to create a Docker with asterisk 16, I can register my sip extension but I don't listen anything. I can go to 8088 port too, modifying http.conf Also I edited rtp.conf...

Version of SQLite (3.7.17) is too old. Active Record supports SQLite >= 3.8

I am trying to run Rails 6 in my EC2 instance, but I am encountering the following error: Your version of SQLite (3.7.17) is too old. Active Record supports SQLite >= 3.8. If it matters: I have...

ERROR creating Service web with unrecognized option '--with-freetype-dir=/usr/include/'

After reinstall of Kubuntu 18 I run my docker project with command to run my first project: docker-compose up -d --build and got long output (it worked more 1 hour I suppose) and errors at end...

Python3.7: error while loading shared libraries: libpython3.7m.so.1.0

I have two versions Python-2.7 , Python-3.5 which I was able to access with python(pip) and python3(pip3) command respectively. Then I have installed an another version of python (i.e 3.7.5). I...

Kivy's 3D rendering (monkey rotation) apk crashes on start

Versions: Python: python3 OS: Android Kivy: v1.11.1 Kivy installation method: buildozer I took Kivy's example 3D Rendering (rotation monkey head) app, on Linux(Ubuntu) and Windows 7 application...

Docker build command fails on COPY

Hi I have a docker file which is failing on the COPY command. It was running fine initially but then it suddenly crashed during the build process. The Docker file basically sets up the dev...

Buildroot Python Dependencies (_sqlite3)

Full Disclaimer: I have been using buildroot for the last 6 weeks. This is my first introduction to embedded Linux, thus I am still very green but have been able to solve 99% of my problems...

docker - ModuleNotFoundError after installing modules

I'm installing pythonocc without conda environment in Docker. After it shows "Installing: /usr/lib/python3/dist-packages/OCC/Wrapper/__init__.py" implying that I've successfully installed OCC...

How can I solve this problem when I attempt to build the iputils on Linux Ubuntu 18: C library 'cap' not found?

I want to see how ping and ping6 work. I found this repository: https://github.com/iputils/iputils and it indeed has the source code I an interested. But every attempt to build results in this...

WSL problem : ERROR: unexpected error - [Errno 1] Operation not permitted

Situation Using WSL(Ubunts), I try to run Python. I use Pyenv + pipenv. However, I sometimes faces the error messageERROR: unexpected error - [Errno 1] Operation not permitted as...

Error "failed to solve with frontend dockerfile.v0: failed to build LLB: executor failed running"

I am trying to deploy Shiny App through Docker using windows 10 machine(8GB RAM). Here is the Dockerfile : # Base image https://hub.docker.com/u/rocker FROM rocker/shiny:3.6.3 # system...

pipeline type (exec) is not supported with 'drone exec'

I am having issues running drone exec on my local Machine Ubuntu, here is how i run it and .drone.jsonnet content .drone.jsonnet: local default_deps_base='libsystemd-dev libboost-thread-dev...

COPY failing in docker-compose file

I am trying to install xdebug in PHP. During the build process when it gets to the COPY in the Dockerfile I get the following error message. ERROR: Service 'php' failed to build : COPY failed:...

docker python flask gets " Do you want to continue" then "executor failed"

Trying a simple python flask web app in docker 20.10.2, build 2291f61. Doing the: docker build -t hello-world . starts out ok (please see below), but ends with: #6 2.866 After this operation, 305...

Missing OCI support when building GDAL

So I am building a DOTNET application that runs on Debian, and makes use of ogr2ogr to copy data from an oracle database towards an Postgres database. The problem is that I cannot get GDAL to...

Can not get asdf-direnv work in docker when building

I'm trying to use asdf-direnv in docker. Following the README of asdf-direnv, I make this Dockerfile FROM nvidia/cuda:10.2-devel-ubuntu18.04 RUN chsh -s /bin/bash SHELL ["/bin/bash", "-ic",...

pip install py-find-1st fails on ubuntu20 & centos with python3.9

This is my process. I start a new aws t2.micro ec2 on ubuntu20 and run this script sudo apt-get update sudo apt-get install gcc sudo apt-get install python3.9 sudo apt-get install...